summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/forcesplit-overwrite15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/tests/forcesplit-overwrite b/tests/tests/forcesplit-overwrite
new file mode 100755
index 0000000..0afb5ce
--- /dev/null
+++ b/tests/tests/forcesplit-overwrite
@@ -0,0 +1,15 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-setup-import examplegit
+
+cd example
+
+suite=stable
+
+t-commit 'No changes, just send to stable' '' stable
+
+t-dgit -wgf --split-view --overwrite=1.2 push-source stable
+
+t-ok